Package com.omnisci.thrift.server

## Class OmniSci.render_vega_args

- java.lang.Object
- - com.omnisci.thrift.server.OmniSci.render_vega_args

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<OmniSci.render_vega_args>`, `org.apache.thrift.TBase<OmniSci.render_vega_args,​OmniSci.render_vega_args._Fields>`, `org.apache.thrift.TSerializable`

Enclosing class:
  OmniSci

    public static class OmniSci.render_vega_args
    extends Object
    implements org.apache.thrift.TBase<OmniSci.render_vega_args,​OmniSci.render_vega_args._Fields>, Serializable, Cloneable, Comparable<OmniSci.render_vega_args>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `OmniSci.render_vega_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`int` `compression_level`
`static Map<OmniSci.render_vega_args._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `nonce`
`String` `session`
`String` `vega_json`
`long` `widget_id`

### Constructor Summary

Constructors
`render_vega_args()`
`render_vega_args​(OmniSci.render_vega_args other)` Performs a deep copy on other.
`render_vega_args​(String session, long widget_id, String vega_json, int compression_level, String nonce)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(OmniSci.render_vega_args other)`
`OmniSci.render_vega_args` `deepCopy()`
`boolean` `equals​(OmniSci.render_vega_args that)`
`boolean` `equals​(Object that)`
`OmniSci.render_vega_args._Fields` `fieldForId​(int fieldId)`
`int` `getCompression_level()`
`Object` `getFieldValue​(OmniSci.render_vega_args._Fields field)`
`String` `getNonce()`
`String` `getSession()`
`String` `getVega_json()`
`long` `getWidget_id()`
`int` `hashCode()`
`boolean` `isSet​(OmniSci.render_vega_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetCompression_level()` Returns true if field compression_level is set (has been assigned a value) and false otherwise
`boolean` `isSetNonce()` Returns true if field nonce is set (has been assigned a value) and false otherwise
`boolean` `isSetSession()` Returns true if field session is set (has been assigned a value) and false otherwise
`boolean` `isSetVega_json()` Returns true if field vega_json is set (has been assigned a value) and false otherwise
`boolean` `isSetWidget_id()` Returns true if field widget_id is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`OmniSci.render_vega_args` `setCompression_level​(int compression_level)`
`void` `setCompression_levelIsSet​(boolean value)`
`void` `setFieldValue​(OmniSci.render_vega_args._Fields field, Object value)`
`OmniSci.render_vega_args` `setNonce​(String nonce)`
`void` `setNonceIsSet​(boolean value)`
`OmniSci.render_vega_args` `setSession​(String session)`
`void` `setSessionIsSet​(boolean value)`
`OmniSci.render_vega_args` `setVega_json​(String vega_json)`
`void` `setVega_jsonIsSet​(boolean value)`
`OmniSci.render_vega_args` `setWidget_id​(long widget_id)`
`void` `setWidget_idIsSet​(boolean value)`
`String` `toString()`
`void` `unsetCompression_level()`
`void` `unsetNonce()`
`void` `unsetSession()`
`void` `unsetVega_json()`
`void` `unsetWidget_id()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### session

    public String session

#### widget_id

    public long widget_id

#### vega_json

    public String vega_json

#### compression_level

    public int compression_level

#### nonce

    public String nonce

#### metaDataMap

    public static final Map<OmniSci.render_vega_args._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### render_vega_args

    public render_vega_args()

#### render_vega_args

    public render_vega_args​(String session,
                            long widget_id,
                            String vega_json,
                            int compression_level,
                            String nonce)

#### render_vega_args

    public render_vega_args​(OmniSci.render_vega_args other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public OmniSci.render_vega_args deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<OmniSci.render_vega_args,​OmniSci.render_vega_args._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<OmniSci.render_vega_args,​OmniSci.render_vega_args._Fields>`

#### getSession

    public String getSession()

#### setSession

    public OmniSci.render_vega_args setSession​(String session)

#### unsetSession

    public void unsetSession()

#### isSetSession

    public boolean isSetSession()

Returns true if field session is set (has been assigned a value) and false otherwise

#### setSessionIsSet

    public void setSessionIsSet​(boolean value)

#### getWidget_id

    public long getWidget_id()

#### setWidget_id

    public OmniSci.render_vega_args setWidget_id​(long widget_id)

#### unsetWidget_id

    public void unsetWidget_id()

#### isSetWidget_id

    public boolean isSetWidget_id()

Returns true if field widget_id is set (has been assigned a value) and false otherwise

#### setWidget_idIsSet

    public void setWidget_idIsSet​(boolean value)

#### getVega_json

    public String getVega_json()

#### setVega_json

    public OmniSci.render_vega_args setVega_json​(String vega_json)

#### unsetVega_json

    public void unsetVega_json()

#### isSetVega_json

    public boolean isSetVega_json()

Returns true if field vega_json is set (has been assigned a value) and false otherwise

#### setVega_jsonIsSet

    public void setVega_jsonIsSet​(boolean value)

#### getCompression_level

    public int getCompression_level()

#### setCompression_level

    public OmniSci.render_vega_args setCompression_level​(int compression_level)

#### unsetCompression_level

    public void unsetCompression_level()

#### isSetCompression_level

    public boolean isSetCompression_level()

Returns true if field compression_level is set (has been assigned a value) and false otherwise

#### setCompression_levelIsSet

    public void setCompression_levelIsSet​(boolean value)

#### getNonce

    public String getNonce()

#### setNonce

    public OmniSci.render_vega_args setNonce​(String nonce)

#### unsetNonce

    public void unsetNonce()

#### isSetNonce

    public boolean isSetNonce()

Returns true if field nonce is set (has been assigned a value) and false otherwise

#### setNonceIsSet

    public void setNonceIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(OmniSci.render_vega_args._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<OmniSci.render_vega_args,​OmniSci.render_vega_args._Fields>`

#### getFieldValue

    public Object getFieldValue​(OmniSci.render_vega_args._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<OmniSci.render_vega_args,​OmniSci.render_vega_args._Fields>`

#### isSet

    public boolean isSet​(OmniSci.render_vega_args._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<OmniSci.render_vega_args,​OmniSci.render_vega_args._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(OmniSci.render_vega_args that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(OmniSci.render_vega_args other)

Specified by:
  `compareTo` in interface `Comparable<OmniSci.render_vega_args>`

#### fieldForId

    public OmniSci.render_vega_args._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<OmniSci.render_vega_args,​OmniSci.render_vega_args._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`